%define version 1.23
%define release 1mdk
%define name wmfishtime

Summary:  Analog clock with background fish tank in a dockapp
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Monitoring
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL:		http://www.ne.jp/asahi/linux/timecop/
Requires:	XFree86-libs, xpm
BuildRequires:	XFree86-devel, xpm-devel
Prefix:		/usr/X11R6
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Well, this is just your standard time dockapp. Top part has the clock face,
bottom part has day of the week, followed by day, followed by month. Yellow
hand counts seconds, green hand counts minutes, red hand counts hours. Few
seconds after startup there are at least 32 bubbles floating up behind the
clock face.  There are 4 fishes randomly swimming back and forth. If you move
your mouse inside the dockapp window, the fish will get scared and run away.
If you compiled in mail checking (default), then whenever you get new mail
in the file pointed to by the $MAIL variable, it will display green weed
partially blocking the day/month counter, to remind you to read your mail.
If $MAIL is not set, nothing happens.

%prep

%setup -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS `gtk-config --cflags` ${EXTRA}" \
make
     
%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar xOjf %SOURCE1 %{name}-16x16.xpm > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
tar xOjf %SOURCE1 %{name}-32x32.xpm > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
tar xOjf %SOURCE1 %{name}-48x48.xpm > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{prefix}/bin/
install -m 755 wmfishtime $RPM_BUILD_ROOT%{prefix}/bin/

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
bzip2 -9 -c wmfishtime.1 > $RPM_BUILD_ROOT%{_mandir}/man1/wmfishtime.1.bz2

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{prefix}/bin/%{name} -b" icon="%{name}.xpm"\\
                 needs="X11" section="Applications/Monitoring" title="WmFishTime"\\
                 longtitle="Analog clock in a tank fish"
EOF


%clean
[ -z $RPM_BUILD_ROOT ] || {
    rm -rf $RPM_BUILD_ROOT
}


%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr (-,root,root)
%doc ALL_I_GET_IS_A_GRAY_BOX CODING INSTALL README AUTHORS COPYING
%{prefix}/bin/*
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_menudir}/%{name}
%attr(644,root,man) %{_mandir}/man1/*

%changelog
* Fri Jun 08 2001 HA Quc-Vit <viet@mandrakesoft.com> 1.23-1mdk
- Initial packaging.
